petsc-3.12.4 2020-02-04
Report Typos and Errors

# MatEqual

Compares two matrices.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatEqual(Mat A,Mat B,PetscBool  *flg)

Collective on Mat

### Input Parameters

| A | - the first matrix
| B | - the second matrix

### Output Parameter

flg -PETSC_TRUE if the matrices are equal; PETSC_FALSE otherwise.

### Level

intermediate

### Location

src/mat/interface/matrix.c

### Implementations

MatEqual_MPIAdj in src/mat/impls/adj/mpi/mpiadj.c
MatEqual_MPIAIJ in src/mat/impls/aij/mpi/mpiaij.c
MatEqual_SeqAIJ in src/mat/impls/aij/seq/aij.c
MatEqual_MPIBAIJ in src/mat/impls/baij/mpi/mpibaij.c
MatEqual_SeqBAIJ in src/mat/impls/baij/seq/baij2.c
MatEqual_MPIDense in src/mat/impls/dense/mpi/mpidense.c
MatEqual_SeqDense in src/mat/impls/dense/seq/dense.c
MatEqual_MPISBAIJ in src/mat/impls/sbaij/mpi/mpisbaij.c
MatEqual_SeqSBAIJ in src/mat/impls/sbaij/seq/sbaij2.c
MatEqual_MPISELL in src/mat/impls/sell/mpi/mpisell.c
MatEqual_SeqSELL in src/mat/impls/sell/seq/sell.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages